#ifndef _PG12864LRS_ANN_H_H_
#define _PG12864LRS_ANN_H_H_

#define LCD_DATA_PORT     (PORTC)
#define LCD_DATA_DDR      (DDRC)
#define LCD_DATA_PIN      (PINC)

#define LCD_CONTROL_PORT  (PORTA)
#define LCD_CONTROL_DDR   (DDRA)
#define LCD_CONTROL_PIN   (PINA)

#define LCD_REGISTER_SELECT (7)
#define LCD_READ_WRITE      (6)
#define LCD_ENABLE          (5)
#define LCD_CS1             (4)
#define LCD_CS2             (3)
#define LCD_RESET           (2)

#define LCD_INSTRUCTION_DISPLAY_OFF        (0b00111110)
#define LCD_INSTRUCTION_DISPLAY_ON         (0b00111111)
#define LCD_INSTRUCTION_SET_ADDRESS        (0b01000000)
#define LCD_INSTRUCTION_SET_PAGE           (0b10111000)
#define LCD_INSTRUCTION_DISPLAY_START_LINE (0b11000000)

#endif
